% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stat-miss-point.R
\name{stat_miss_point}
\alias{stat_miss_point}
\title{stat_miss_point}
\usage{
stat_miss_point(mapping = NULL, data = NULL, prop_below = 0.1,
  jitter = 0.05, geom = "point", position = "identity",
  na.rm = FALSE, show.legend = NA, inherit.aes = TRUE, ...)
}
\arguments{
\item{mapping}{Set of aesthetic mappings created by \code{\link[ggplot2:aes]{ggplot2::aes()}}
or \code{\link[ggplot2:aes_]{ggplot2::aes_()}}. If specified and \code{inherit.aes = TRUE}
(the default), is combined with the default mapping at the top level of the
plot. You only need to supply mapping if there isn't a mapping defined for
the plot.}

\item{data}{A data frame. If specified, overrides the default data frame
defined at the top level of the plot.}

\item{prop_below}{the degree to shift the values. The default is 0.1}

\item{jitter}{the amount of jitter to add. The default is 0.05}

\item{geom, }{stat Override the default connection between \code{geom_point} and
\code{stat_point}.}

\item{position}{Position adjustment, either as a string, or the result of a
call to a position adjustment function}

\item{na.rm}{If \code{FALSE} (the default), removes missing values with a warning.
If \code{TRUE} silently removes missing values.}

\item{show.legend}{logical. Should this layer be included in the legends?
\code{NA}, the default, includes if any aesthetics are mapped. \code{FALSE}
never includes, and \code{TRUE} always includes.}

\item{inherit.aes}{If \code{FALSE}, overrides the default aesthetics, rather
than combining with them. This is most useful for helper functions that
define both data and aesthetics and shouldn't inherit behaviour from the
default plot specification, e.g. borders.}

\item{...}{other arguments passed on to \code{\link[ggplot2:layer]{ggplot2::layer()}}. There
are three types of arguments you can use here:
\itemize{
\item{Aesthetics: to set an aesthetic to a fixed value, like
\code{color = "red"} or \code{size = 3.}}
\item{Other arguments to the layer, for example you override the default
\code{stat} associated with the layer.}
\item{Other arguments passed on to the stat.}
}}
}
\description{
stat_miss_point adds a geometry for displaying missingness to
geom_point
}
